## golang-github-rootless-containers-bypass4netns 0.4.1

=== debian/changelog ===
golang-github-rootless-containers-bypass4netns (0.4.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No change source-only upload for testing migration.

 -- Boyuan Yang <byang@debian.org>  Mon, 02 Dec 2024 19:41:23 -0500

golang-github-rootless-containers-bypass4netns (0.4.1-1) unstable; urgency=medium

  * Initial release (Closes: #1087633)

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 16 Nov 2024 12:58:40 -0500

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/rootless-containers/bypass4netns/tags .*/v?(\d\S*)\.tar\.gz debian

## golang-github-rootless-containers-bypass4netns 0.4.2

=== Makefile ===
GO ?= go
PACKAGE := github.com/rootless-containers/bypass4netns
VERSION=$(shell git describe --match 'v[0-9]*' --dirty='.m' --always --tags)
VERSION_TRIMMED := $(VERSION:v%=%)
GO_BUILD_FLAGS += -trimpath
GO_BUILD_LDFLAGS += -s -w -X $(PACKAGE)/pkg/version.Version=$(VERSION)
GO_BUILD := $(GO) build $(GO_BUILD_FLAGS) -ldflags "$(GO_BUILD_LDFLAGS)"
GO_BUILD_STATIC := CGO_ENABLED=1 $(GO) build $(GO_BUILD_FLAGS) -tags "netgo osusergo" -ldflags "$(GO_BUILD_LDFLAGS) -extldflags -static"

STRIP ?= strip

.DEFAULT: all

all: dynamic

dynamic:
	$(GO_BUILD) ./cmd/bypass4netns
	$(GO_BUILD) ./cmd/bypass4netnsd

static:
	$(GO_BUILD_STATIC) ./cmd/bypass4netns
	$(GO_BUILD_STATIC) ./cmd/bypass4netnsd

strip:
	$(STRIP) bypass4netns bypass4netnsd

install:
	install bypass4netns /usr/local/bin/bypass4netns
	install bypass4netnsd /usr/local/bin/bypass4netnsd

uninstall:
	rm -rf /usr/local/bin/bypass4netns /usr/local/bin/bypass4netnsd

clean:
	rm -rf bypass4netns bypass4netnsd

.PHONY: all dynamic static strip install uninstall clean

=== debian/changelog ===
golang-github-rootless-containers-bypass4netns (0.4.2-1) unstable; urgency=medium

  * New upstream version

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 21 Aug 2025 06:55:28 -0400

=== debian/control ===
Source: golang-github-rootless-containers-bypass4netns
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Reinhard Tartler <siretart@tauware.de>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
 golang-etcd-server-dev,
 golang-github-gorilla-mux-dev,
 golang-github-opencontainers-specs-dev,
 golang-github-seccomp-libseccomp-golang-dev,
 golang-github-spf13-pflag-dev,
 golang-github-stretchr-testify-dev,
 golang-github-vtolstov-go-ioctl-dev,
 golang-golang-x-sys-dev,
 golang-logrus-dev,
 pkgconf,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-rootless-containers-bypass4netns
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-rootless-containers-bypass4netns.git
Homepage: https://github.com/rootless-containers/bypass4netns
XS-Go-Import-Path: github.com/rootless-containers/bypass4netns

Package: golang-github-rootless-containers-bypass4netns-dev
Architecture: all
Multi-Arch: foreign
Depends:
 golang-etcd-server-dev,
 golang-github-gorilla-mux-dev,
 golang-github-opencontainers-specs-dev,
 golang-github-seccomp-libseccomp-golang-dev,
 golang-github-spf13-pflag-dev,
 golang-github-stretchr-testify-dev,
 golang-github-vtolstov-go-ioctl-dev,
 golang-golang-x-sys-dev,
 golang-logrus-dev,
 ${misc:Depends},
Description: Accelerates slirp4netns using SECCOMP_IOCTL_NOTIF_ADDFD (library)
 bypass4netns is as fast as --net=host and *almost* as secure as traditional
 slirp4netns by using SECCOMP_IOCTL_NOTIF_ADDFD on Linux Kernel 5.9 and later
 .
 This package contains golang sources that other package may require for
 building.
                                                                               
Package: bypass4netns
Section: admin
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Built-Using:
 ${misc:Built-Using},
Description: Accelerates slirp4netns using SECCOMP_IOCTL_NOTIF_ADDFD (program)
 bypass4netns is as fast as --net=host and *almost* as secure as traditional
 slirp4netns by using SECCOMP_IOCTL_NOTIF_ADDFD on Linux Kernel 5.9 and later
 .
 This package provides the bypass4netns and bypass4netnsd programs.

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_GO_GENERATE := 1
export DH_GOLANG_EXCLUDES := bypass4netns/test

%:
	dh $@ --builddirectory=_build --buildsystem=golang

override_dh_auto_test:
	@echo "Unit tests not suitable for package tests"
